# Buscar Usuário Atual

Para buscar informações sobre o usuário que retém o token da API utilizado, deve-se utilizar a seguinte *query*:

```graphql
query {
  me {
    id
    name
    email
    phone
    cpf
    cnpj
    birthday
    subscription {
      has_premium_features
      documents
      credits
    }
    organization {
      id
      uuid
      name
      cnpj
    }
  }
}
```

Esse é um exemplo de uma requisição que pode ser feita, e você pode escolher quais dados deseja ou não receber. Uma documentação mais completa sobre todos os campos possíveis está disponível no [Altair](https://altair.autentique.com.br/).

#### Resposta esperada

```graphql
{
  "data": {
    "me": {
      "id": "1ac41a793ed27015abd0a381eb2846e1c3e7fe01",
      "name": "Mateus Zanella",
      "email": "mateus@autentique.com.br",
      "phone": null,
      "cpf": "012.345.678-90",
      "cnpj": null,
      "birthday": "01/01/2001",
      "subscription": {
        "has_premium_features": false,
        "documents": 20,
        "credits": 200
      },
      "organization": {
        "id": 179,
        "uuid": "91155c91-a411-4d93-b2a4-92e37548256b",
        "name": "Autentique",
        "cnpj": "29.423.653/0001-65"
      }
    }
  }
}
```

{% hint style="info" %}
Você pode conferir o que é cada um desses parâmetros direto na documentação completa da API GraphQL, no menu Docs do [Altair](https://altair.autentique.com.br). Se você não sabe como fazer isso, confira o nosso tutorial em [Usando o Altair](/api/2/integracao/altair.md)
{% endhint %}

{% hint style="info" %}
Se o Altair não te ajuda para integrar com a API, confira alguns exemplos de como fazer essas requisições de outra forma: <https://graphql.org/graphql-js/graphql-clients/>
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.autentique.com.br/api/2/queries/buscar-usuario-atual.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
